Page 5 of 20 FirstFirst ... 3456715 ... LastLast
Results 41 to 50 of 199

Thread: [>] Update Script for Backtrack 5.

  1. #41
    Very good friend of the forum Gitsnik's Avatar
    Join Date
    Jan 2010
    Location
    The Crystal Wind
    Posts
    851

    Default Re: [>] Update Script for Backtrack 5.

    Quote Originally Posted by sickness View Post
    Try changing the host to be pinged to something you can ping ... it's a pretty weird issue.
    Hardly. Most places I sit when I want to update anything in BT block outgoing ICMP requests.

    For those of you following along at home who like this script, I've replaced the ping with:

    Code:
    system("perl -e 'print qq|GET / HTTP/1.0\n\n|;' | nc www.google.com 80")
    And the appropriate strstr() to check for the 302 has-moved code. It actually stands a better chance of getting out (especially when, if you need to, you can wrap it in proxyconnect like I frequently have to do).

    Other than that, good stuff sickness, look forward to further updates and more advanced features.
    Still not underestimating the power...

    There is no such thing as bad information - There is truth in the data, so you sift it all, even the crap stuff.

  2. #42
    Just burned his ISO
    Join Date
    May 2011
    Posts
    5

    Default Re: [>] Update Script for Backtrack 5.

    Quote Originally Posted by zimmaro View Post
    ... I have a problem on exploitdb update the script "crash" and time after reply:
    svn: Can not connect to host 'www.exploit-db.com': Connection timed out...
    I've received that error too. It seems that menu option 3 contains a line that drops connectivity as well. Other than that I haven't had any issues.
    Thanks Sickness.

  3. #43
    Senior Member
    Join Date
    Jan 2011
    Location
    over the under
    Posts
    197

    Default Re: [>] Update Script for Backtrack 5.

    even if you try to update exploitdb manually it seems to hang, at least on my end. I don't believe that particular problem has anything to do with this script.

  4. #44
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: [>] Update Script for Backtrack 5.

    Works here:
    Code:
     [>] Checking for internet connectivity please wait!
     [>] Internet is working!
    
            +-++-++-++-++-++-++-++-++-+ +-+ +-++-++-++-++-++-+
            |B||a||c||k||t||r||a||c||k| |5| |u||p||d||a||t||e|
            +-++-++-++-++-++-++-++-++-+ +-+ +-++-++-++-++-++-+
                    Author: sickness
                    Version: 0.1
                    Feedback/Bugs: sick.n3ss416@gmail.com
                    Blog: http://sickness.tor.hu
    
                            Section: EXPLOIT TOOLS
    
     [>] 1. Metasploit Framework.
     [>] 2. Exploit-db.
     [>] 3. SET - Social Engineering Toolkit.
     [>] 4. Update all.
     [>] 5. Back.
    
     [>] Enter your choice: 2
     [>] Updating Exploit-db, please wait.
    
    At revision 28.
    
     [>] Exploit-db updated successfully!
    EDIT:

    Upgrade the script to version 0.3, fixed some minor issues, and included the solution Gitsnik suggested also.
    Last edited by sickness; 06-16-2011 at 08:07 AM.
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  5. #45
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    1

    Default Re: [>] Update Script for Backtrack 5.

    Great script; I got around ping filtering by removing the "check internet" feature.

    Note: the KDE 32 repo upgrade to MSF is presently broken. See: http://www.backtrack-linux.org/forum...asploit-2.html

    Take note that the script may thus break MSF3.

  6. #46
    Senior Member
    Join Date
    Jan 2011
    Location
    over the under
    Posts
    197

    Default Re: [>] Update Script for Backtrack 5.

    thats strange I keep getting the same error as them and I'm doing it by "/pentest/exploits/exploitdb/platforms# svn up"

  7. #47
    Member
    Join Date
    Jun 2010
    Posts
    62

    Default Riferimento: [>] Update Script for Backtrack 5.

    vers. 0.3
    I have these errors:
    Code:
     [>] Enter your choice: 1
     [>] Updating Aircrack-NG and Airodump, please wait.
    
    sh: line 0: cd: /pentest/wireless/aircrack-ng/: No such file or directory
     [>] Failed to update Aircrack-ng.
    and this
    Code:
     [>] Updating Sqlmap, please wait.
    
    U    lib/utils/hash.py
    Authentication realm: <https://svn.sqlmap.org:443> Authentication required
    Password for 'root': 
    Authentication realm: <https://svn.sqlmap.org:443> Authentication required
    Username: ^Csvn: OPTIONS of 'https://svn.sqlmap.org/sqlmap': authorization failed: Could not authenticate to server: rejected Digest challenge (https://svn.sqlmap.org)
     [>] Failed to update SQLmap.
    Thanks again sickness
    HTH

  8. #48
    Very good friend of the forum Gitsnik's Avatar
    Join Date
    Jan 2010
    Location
    The Crystal Wind
    Posts
    851

    Default Re: [>] Update Script for Backtrack 5.

    Quote Originally Posted by sickness View Post
    Upgrade the script to version 0.3, fixed some minor issues, and included the solution Gitsnik suggested also.
    Sweet! Now it works here out of the box. Good stuff.
    Still not underestimating the power...

    There is no such thing as bad information - There is truth in the data, so you sift it all, even the crap stuff.

  9. #49
    Just burned his ISO
    Join Date
    Dec 2010
    Location
    Denver, CO
    Posts
    1

    Default Re: [>] Update Script for Backtrack 5.

    I am using backtrack5 gnome 32bit on vmware workstation 7.1.4

    I am experiencing an issue with the script. I have ran the option 1. then i went to run option 2 then went to update all. I got the following error:
    <div class="bbcode_container">
    <div class="bbcode_description">issue:</div>
    <pre class="bbcode_code"style="height:144px;">sh: line 0: cd: /pentest/exploits/framework3/: No such file or directory
    [>] Failed to update Metasploit.</pre>
    </div>
    I checked the directory /pentest/exploits/framework3/ the link was broken

    So i check /opt/framework3/ and the msf3 folder was missing?

    Does anyone know how to correct this issue? I would greatly appreciate the help

  10. #50
    Just burned his ISO jacko's Avatar
    Join Date
    Jan 2011
    Posts
    13

    Default Re: [>] Update Script for Backtrack 5.

    Quote Originally Posted by GreyTapeInThaDeck View Post
    I am using backtrack5 gnome 32bit on vmware workstation 7.1.4

    I am experiencing an issue with the script. I have ran the option 1. then i went to run option 2 then went to update all. I got the following error:
    <div class="bbcode_container">
    <div class="bbcode_description">issue:</div>
    <pre class="bbcode_code"style="height:144px;">sh: line 0: cd: /pentest/exploits/framework3/: No such file or directory
    [>] Failed to update Metasploit.</pre>
    </div>
    I checked the directory /pentest/exploits/framework3/ the link was broken

    So i check /opt/framework3/ and the msf3 folder was missing?

    Does anyone know how to correct this issue? I would greatly appreciate the help
    works here grey in workstation on windows 7.. maybe instability in your rig? prime/memtest ect..

Page 5 of 20 FirstFirst ... 3456715 ... LastLast

Similar Threads

  1. Update script for bt4 (update.sh)
    By Scamentology in forum Experts Forum
    Replies: 52
    Last Post: 04-20-2011, 02:57 AM
  2. Another update script for Backtrack.
    By sickness in forum Experts Forum
    Replies: 14
    Last Post: 12-08-2010, 01:58 PM
  3. Update Script
    By alienstargate in forum OLD BackTrack 3 Final
    Replies: 0
    Last Post: 02-25-2010, 03:12 PM
  4. Update all script BT2
    By alienstargate in forum OLD BackTrack v2.0 Final
    Replies: 2
    Last Post: 02-13-2008, 12:35 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •